## org.apache.lucene.queryParser.surround.query
Class SrndQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ComposedQuery, FieldsQuery, SimpleTerm

    public abstract class SrndQuery

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`static org.apache.lucene.search.Query` `theEmptyLcnQuery`

Constructor Summary
`SrndQuery()`

Method Summary
`java.lang.Object` `clone()`
`float` `getWeight()`
`java.lang.String` `getWeightOperator()`
`java.lang.String` `getWeightString()`
`boolean` `isFieldsSubQueryAcceptable()`
`boolean` `isWeighted()`
`org.apache.lucene.search.Query` `makeLuceneQueryField(java.lang.String fieldName, BasicQueryFactory qf)`
`abstract org.apache.lucene.search.Query` `makeLuceneQueryFieldNoBoost(java.lang.String fieldName, BasicQueryFactory qf)`
`void` `setWeight(float w)`
`abstract java.lang.String` `toString()`
`protected void` `weightToString(java.lang.StringBuffer r)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### theEmptyLcnQuery

    public static final org.apache.lucene.search.Query theEmptyLcnQuery

Constructor Detail

### SrndQuery

    public SrndQuery()

Method Detail

### setWeight

    public void setWeight(float w)

### isWeighted

    public boolean isWeighted()

### getWeight

    public float getWeight()

### getWeightString

    public java.lang.String getWeightString()

### getWeightOperator

    public java.lang.String getWeightOperator()

### weightToString

    protected void weightToString(java.lang.StringBuffer r)

### makeLuceneQueryField

    public org.apache.lucene.search.Query makeLuceneQueryField(java.lang.String fieldName,
                                                               BasicQueryFactory qf)

### makeLuceneQueryFieldNoBoost

    public abstract org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(java.lang.String fieldName,
                                                                               BasicQueryFactory qf)

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.